#ifndef __CDIO_COMPAT_CDTEXT__
#define __CDIO_COMPAT_CDTEXT__


#include "cdio/cdtext.h"

#include "stdint.h"

// Required for 'DriverReturnCode' for some reason
#include "cdio/cdio.h"


// Defined in a private header
#define CDTEXT_NUM_BLOCKS_MAX 8


// FFI-compatible wrappers

cdtext_genre_t genre_unused();

cdtext_lang_t language_unknown();
cdtext_lang_t language_invalid();
cdtext_lang_t language_unused();


// Symbol compatibility definitions

cdtext_lang_t cdtext_str2lang_safe(const char*);

int cdtext_data_init_safe(cdtext_t*, uint8_t*, size_t);

cdtext_lang_t* cdtext_list_languages_v2_safe(cdtext_t*);
bool cdtext_set_language_index_safe(cdtext_t*, int);


#endif
