#ifndef __CDIO_COMPAT_VERSION__
#define __CDIO_COMPAT_VERSION__


#include "cdio/cdio.h"
#include "cdio/version.h"


// FFI-compatible wrappings

const char* get_cdio_version_string();
const unsigned int get_cdio_version_num();
const unsigned int get_cdio_version_api();


// Base library compatibility testing

#define LIBCDIO_SINCE_VERSION_0_94   (LIBCDIO_VERSION_NUM >= 94    || LIBCDIO_VERSION_NUM == 1)
#define LIBCDIO_SINCE_VERSION_1_0    (LIBCDIO_VERSION_NUM >= 10000 || LIBCDIO_VERSION_NUM == 1)
#define LIBCDIO_SINCE_VERSION_1_1    (LIBCDIO_VERSION_NUM >= 10100)
#define LIBCDIO_SINCE_VERSION_2_0    (LIBCDIO_VERSION_NUM >= 20000)
#define LIBCDIO_SINCE_VERSION_2_1    (LIBCDIO_VERSION_NUM >= 20100)


#endif
