#ifndef __CDIO_COMPAT_CD_TYPES__
#define __CDIO_COMPAT_CD_TYPES__


#include "cdio/compat/types.h"
#include "cdio/cd_types.h"

#include "stdint.h"


// c2hs can't handle the `~` in CDIO_FS_MATCH_ALL
typedef enum {
    FS_ANAL_XA           = CDIO_FS_ANAL_XA,
    FS_ANAL_MULTISESSION = CDIO_FS_ANAL_MULTISESSION,
    FS_ANAL_PHOTO_CD     = CDIO_FS_ANAL_PHOTO_CD,
    FS_ANAL_HIDDEN_TRACK = CDIO_FS_ANAL_HIDDEN_TRACK,
    FS_ANAL_CDTV         = CDIO_FS_ANAL_CDTV,
    FS_ANAL_BOOTABLE     = CDIO_FS_ANAL_BOOTABLE,
    FS_ANAL_VIDEOCD      = CDIO_FS_ANAL_VIDEOCD,
    FS_ANAL_ROCKRIDGE    = CDIO_FS_ANAL_ROCKRIDGE,
    FS_ANAL_JOLIET       = CDIO_FS_ANAL_JOLIET,
    FS_ANAL_SVCD         = CDIO_FS_ANAL_SVCD,
    FS_ANAL_CVD          = CDIO_FS_ANAL_CVD,
    FS_ANAL_XISO         = CDIO_FS_ANAL_XISO,
    FS_ANAL_ISO9660_ANY  = CDIO_FS_ANAL_ISO9660_ANY
} fs_cap_t;


#endif
