#ifndef __CDIO_COMPAT_TRACK__
#define __CDIO_COMPAT_TRACK__


#include "cdio/compat/types.h"
#include "cdio/track.h"


// FFI-compatible wrappings

const char* track_format_string(track_format_t);

track_t invalid_track();
track_t leadout_track();
track_t min_tracks();
track_t max_tracks();

track_format_t track_format_error();


#endif
